RESTinio

Public Types | Static Public Member Functions | List of all members
restinio::utils::details::int8_parse_traits_t Struct Reference

## Public Types
using | type_t = std::int8_t

## Static Public Member Functions
static constexpr std::size_t | digits_representation_max_size ()
static const char * | min_representation ()
static const char * | max_representation ()
static const char * | type_name ()

## Detailed Description

Definition at line 35 of file from_string_details.ipp.

## Member Typedef Documentation

## ◆ type_t

using restinio::utils::details::int8_parse_traits_t::type_t = std::int8_t

Definition at line 37 of file from_string_details.ipp.

## Member Function Documentation

## ◆ digits_representation_max_size()

static constexpr std::size_t restinio::utils::details::int8_parse_traits_t::digits_representation_max_size | ( |  | ) |
| inline static constexpr

Definition at line 40 of file from_string_details.ipp.

## ◆ max_representation()

static const char * restinio::utils::details::int8_parse_traits_t::max_representation | ( |  | ) |
| inline static

Definition at line 53 of file from_string_details.ipp.

## ◆ min_representation()

static const char * restinio::utils::details::int8_parse_traits_t::min_representation | ( |  | ) |
| inline static

Definition at line 46 of file from_string_details.ipp.

## ◆ type_name()

static const char * restinio::utils::details::int8_parse_traits_t::type_name | ( |  | ) |
| inline static

Definition at line 59 of file from_string_details.ipp.

The documentation for this struct was generated from the following file:

- restinio/utils/from_string_details.ipp